Bug 534871 - (RHQ-1625) provide better subsystem tabs
provide better subsystem tabs
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Jeff Weiss
: Improvement
Depends On:
  Show dependency treegraph
Reported: 2009-02-21 03:11 EST by John Mazzitelli
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot-1.jpg (10.07 KB, image/jpeg)
2009-02-21 03:12 EST, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2009-02-21 03:11:00 EST
the current resource subsystem tabs (inventory, operations, summary, etc) are too wide and we'd like them to be more "rich-faces" like in their look and feel. Need to improve them.
Comment 1 John Mazzitelli 2009-02-21 03:14:29 EST
tested on FF3 and IE7.

I also re-ordered some of the tabs - I slid all the tabs that are always present to the left, the optional tabs go to the right. see screen snapshot.

need to go through the MICA icons and reorder them to match, but we should do this at the same time we change their icons.
Comment 2 John Mazzitelli 2009-02-21 04:13:09 EST
some more things to do, from joe:

* are we going to replace our red horizontal line with richfaces gray one?
* are we going to change the color of the background for the subtabs?
* if we're going to change the tab order, then you need to change
concrete subclasses of QuicknavDecorator for the MICA icons in resource
and resourceGroup contexts

Joseph Marques wrote:
> don't forget to update the layout pages (main.xhtml) for the autogroup
> and compatible groups contexts as well.  they all use this same
> onc:tab/onc:subtab paradigm.
Comment 3 John Mazzitelli 2009-02-21 04:19:42 EST
I do not want to replace the red (its actually more orange-y) horiz. line - I actually like this much better than the RF gray one. It gives you a much clearer indication of what tab is currently selected (if you compare this to the RF tabs, you'll see the RF way is alot less clear as to which tab is selected).
Comment 4 John Mazzitelli 2009-02-21 04:25:37 EST
svn rev 3125 updates the layout pages for autogroup and groups. they are re-ordered plus they have the new image attributes set to prepare for when the tab component can render images in the tab.
Comment 5 John Mazzitelli 2009-02-24 13:47:05 EST
I've been out voted - both joe and greg don't like the orange - I made it  black.  the tabs now have the mica icons too.
Comment 6 Jeff Weiss 2009-03-06 13:14:18 EST
Tabs look pretty good to me.  rev3238
Comment 7 Red Hat Bugzilla 2009-11-10 15:36:59 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1625
Imported an attachment (id=368591)
This bug relates to RHQ-1626

Note You need to log in before you can comment on or make changes to this bug.